summaryrefslogtreecommitdiff
path: root/dev-python/pyudev
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-05 13:39:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-05 13:39:42 +0000
commit5db75007f34c81aab3f7e5ab469c05e8bb58881d (patch)
tree3b3d545ff85ea5b17de27614fd22b32721887100 /dev-python/pyudev
parent93e5c5816c7c3be5bc5c8d54a2b3906b3b881b3a (diff)
downloadbaldeagleos-repo-5db75007f34c81aab3f7e5ab469c05e8bb58881d.tar.gz
baldeagleos-repo-5db75007f34c81aab3f7e5ab469c05e8bb58881d.tar.xz
baldeagleos-repo-5db75007f34c81aab3f7e5ab469c05e8bb58881d.zip
Adding metadata
Diffstat (limited to 'dev-python/pyudev')
-rw-r--r--dev-python/pyudev/Manifest1
-rw-r--r--dev-python/pyudev/metadata.xml4
-rw-r--r--dev-python/pyudev/pyudev-0.22.0-r1.ebuild3
-rw-r--r--dev-python/pyudev/pyudev-0.22.0.ebuild5
-rw-r--r--dev-python/pyudev/pyudev-0.23.2.ebuild57
5 files changed, 69 insertions, 1 deletions
diff --git a/dev-python/pyudev/Manifest b/dev-python/pyudev/Manifest
index ed167c9a1c1b..5e7c2e3aea1f 100644
--- a/dev-python/pyudev/Manifest
+++ b/dev-python/pyudev/Manifest
@@ -1 +1,2 @@
DIST pyudev-0.22.0.tar.gz 85077 BLAKE2B 66c78aa4d3bea5ceae3660a93e5bd1733629bb5228d67d8e647abb8c237a2786c1061b07e034be5467f5bcab58d95ba30f91d74bdc54cd8253dff69be3ad4a80 SHA512 a09ed479a54a1772a6af68cb975fef792068c2de3655e20223905bc3f574fd32bd3dbe6b97062eee3ab5f08a8b041ad3ea86dfb68c839ea44e29d65ec1686670
+DIST pyudev-0.23.2.tar.gz 87199 BLAKE2B 0ce4300296f4fcc3a56ba4100d3ebe7734330b3096fde59475fe9880758a3279324c4c3df883b22d1ec9f4e0cfa83fc7c25fbe54ed03a5e019567595deb21211 SHA512 40b947d363dca73789f5ab77cbda4b48349e28fe04f2f5cafb93d20799d842ebeb2b7d78d1f16dcbcaac5c20aff1b931b372c75852706e731337e6e1d30b8538
diff --git a/dev-python/pyudev/metadata.xml b/dev-python/pyudev/metadata.xml
index 65a857f2b1bc..e4271387b445 100644
--- a/dev-python/pyudev/metadata.xml
+++ b/dev-python/pyudev/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>arthurzam@gentoo.org</email>
+ <name>Arthur Zamarin</name>
+ </maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
diff --git a/dev-python/pyudev/pyudev-0.22.0-r1.ebuild b/dev-python/pyudev/pyudev-0.22.0-r1.ebuild
index b32feef9f8f5..89f588a768c1 100644
--- a/dev-python/pyudev/pyudev-0.22.0-r1.ebuild
+++ b/dev-python/pyudev/pyudev-0.22.0-r1.ebuild
@@ -15,6 +15,9 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="qt5"
+# Known to fail on test system that aren't exactly the same devices as on CI
+RESTRICT="test"
+
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
virtual/udev
diff --git a/dev-python/pyudev/pyudev-0.22.0.ebuild b/dev-python/pyudev/pyudev-0.22.0.ebuild
index 37d93b4d7ad8..77569857700b 100644
--- a/dev-python/pyudev/pyudev-0.22.0.ebuild
+++ b/dev-python/pyudev/pyudev-0.22.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -15,6 +15,9 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ppc64 sparc x86"
IUSE="qt5"
+# Known to fail on test system that aren't exactly the same devices as on CI
+RESTRICT="test"
+
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
virtual/udev
diff --git a/dev-python/pyudev/pyudev-0.23.2.ebuild b/dev-python/pyudev/pyudev-0.23.2.ebuild
new file mode 100644
index 000000000000..9fb12a397fe5
--- /dev/null
+++ b/dev-python/pyudev/pyudev-0.23.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python binding to libudev"
+HOMEPAGE="https://pyudev.readthedocs.io/en/latest/ https://github.com/pyudev/pyudev"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="qt5"
+
+# Known to fail on test system that aren't exactly the same devices as on CI
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ virtual/udev
+"
+BDEPEND="
+ test? (
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGES.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if use test; then
+ ewarn "If your PORTAGE_TMPDIR is longer in length then '/var/tmp/',"
+ ewarn "change it to /var/tmp to ensure tests will pass."
+ fi
+
+ # tests are known to pass then fail on alternate runs
+ # tests: fix run_path
+ sed -i -e "s|== \('/run/udev'\)|in (\1,'/dev/.udev')|g" \
+ tests/test_core.py || die
+
+ # disable use hypothesis timeouts (too short)
+ sed -e '/@settings/s/(/(deadline=None,/' -i tests{,/_device_tests}/*.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ optfeature "PyQt5 bindings" "dev-python/PyQt5"
+}